Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web
Interface ServletContainer

All Known Implementing Classes:
  DefaultServletContainer

    public interface ServletContainer

A static registry for the servlet container context.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Method Summary
`boolean` | `addWebAppListener(WebAppListener listener)` Add a web listener.
`WebExecutor` | `getExecutor(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Returns an executor that will use the provided request and response.
`java.lang.Object` | `include(javax.servlet.ServletContext targetServletContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, RequestDispatchCallback callback, java.lang.Object handback)` Generic detyped request dispatch to a servlet context using the include mechanism.
`void` | `register(ServletContainerContext context)` Register a servlet container context.
`boolean` | `removeWebAppListener(WebAppListener listener)` Removes a web listener.

Method Detail

### addWebAppListener

    boolean addWebAppListener(WebAppListener listener)

  Add a web listener.

  Parameters:
    `listener` - the listener
  Returns:
    true if the listener has been added

### removeWebAppListener

    boolean removeWebAppListener(WebAppListener listener)

  Removes a web listener.

  Parameters:
    `listener` - the listener
  Returns:
    true if the listener has been removed

### getExecutor

    WebExecutor getExecutor(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)

  Returns an executor that will use the provided request and response.

  Parameters:
    `request` - the request
    `response` - the response
  Returns:
    an executor

### include

    java.lang.Object include(javax.servlet.ServletContext targetServletContext,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response,
                             RequestDispatchCallback callback,
                             java.lang.Object handback)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Generic detyped request dispatch to a servlet context using the include mechanism.

  Parameters:
    `targetServletContext` - the target servlet context to dispatch to
    `request` - the request valid in the current servlet context
    `response` - the response valid in the current servlet context
    `callback` - the callback to perform after the dispatch operation
    `handback` - the handback object that will be provided to the callback
  Returns:
    the object returned by the callback
  Throws:
    `javax.servlet.ServletException` - any servlet exception
    `java.io.IOException` - any io exception

### register

    void register(ServletContainerContext context)

  Register a servlet container context. The registration is considered as successful if no existing context is already registered.

  Parameters:
    `context` - the servlet container context to register
  Throws:
    `java.lang.IllegalArgumentException` - if the context is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.